CommandProcessingException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.cli, class: CommandProcessingException

Package org.apache.geode.management.cli

# Class CommandProcessingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.management.cli.CommandProcessingException

All Implemented Interfaces:
  `Serializable`

public class CommandProcessingException extends RuntimeException
Indicates that an exception occurred while processing a GemFire Command Line Interface (CLI) command. The exception may be thrown because of:

- parsing errors from unknown parameters
- errors from invalid values for parameters

Since:
  GemFire 7.0
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ARGUMENT_INVALID`
  Error Type indicating an invalid parameter of a command.
  `static final int`
  `COMMAND_INVALID`
  Error Type indicating an invalid command
  `static final int`
  `COMMAND_INVALID_OR_UNAVAILABLE`
  Error Type indicating an unknown or unavailable command.
  `static final int`
  `COMMAND_NAME_AMBIGUOUS`
  Error Type indicating an ambiguous command name
  `static final int`
  `OPTION_INVALID`
  Error Type indicating an invalid named parameter of a command.
  `static final int`
  `OPTION_VALUE_INVALID`
  Error Type indicating an invalid value for a parameter of a command.
  `static final int`
  `OPTION_VALUE_REQUIRED`
  Error Type indicating the absence of value for named parameter of a command.
  `static final int`
  `REQUIRED_ARGUMENT_MISSING`
  Error Type indicating the absence of a mandatory parameter of a command.
  `static final int`
  `REQUIRED_OPTION_MISSING`
  Error Type indicating the absence of a mandatory named parameter of a command.
  `static final int`
  `RESOURCE_ACCESS_ERROR`
  Error Type indicating IO errors occurred while accessing File/Network resource

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommandProcessingException(String message, int errorType, Object errorData)`
  Constructs a new `CommandProcessingException`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getErrorData()`
  Returns the error data.
  `int`
  `getErrorType()`
  Returns the Error Type.
  `String`
  `toString()`
  Returns the String representation of this `CommandProcessingException`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### COMMAND_INVALID

    public static final int COMMAND_INVALID
    Error Type indicating an invalid command
    See Also:
      - Constant Field Values

  - ### COMMAND_NAME_AMBIGUOUS

    public static final int COMMAND_NAME_AMBIGUOUS
    Error Type indicating an ambiguous command name
    See Also:
      - Constant Field Values

  - ### COMMAND_INVALID_OR_UNAVAILABLE

    public static final int COMMAND_INVALID_OR_UNAVAILABLE
    Error Type indicating an unknown or unavailable command. GemFire CLI Commands are context sensitive & might not be always available.
    See Also:
      - Constant Field Values

  - ### OPTION_INVALID

    public static final int OPTION_INVALID
    Error Type indicating an invalid named parameter of a command.
    See Also:
      - Constant Field Values

  - ### ARGUMENT_INVALID

    public static final int ARGUMENT_INVALID
    Error Type indicating an invalid parameter of a command.
    See Also:
      - Constant Field Values

  - ### OPTION_VALUE_INVALID

    public static final int OPTION_VALUE_INVALID
    Error Type indicating an invalid value for a parameter of a command.
    See Also:
      - Constant Field Values

  - ### REQUIRED_OPTION_MISSING

    public static final int REQUIRED_OPTION_MISSING
    Error Type indicating the absence of a mandatory named parameter of a command.
    See Also:
      - Constant Field Values

  - ### REQUIRED_ARGUMENT_MISSING

    public static final int REQUIRED_ARGUMENT_MISSING
    Error Type indicating the absence of a mandatory parameter of a command.
    See Also:
      - Constant Field Values

  - ### OPTION_VALUE_REQUIRED

    public static final int OPTION_VALUE_REQUIRED
    Error Type indicating the absence of value for named parameter of a command.
    See Also:
      - Constant Field Values

  - ### RESOURCE_ACCESS_ERROR

    public static final int RESOURCE_ACCESS_ERROR
    Error Type indicating IO errors occurred while accessing File/Network resource
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CommandProcessingException

    public CommandProcessingException(String message, int errorType, Object errorData)
    Constructs a new `CommandProcessingException`
    Parameters:
      `message` - The error detail message.
      `errorType` - One of the error types defined in `CommandProcessingException`
      `errorData` - Additional information about the error.

- ## Method Details

  - ### getErrorType

    public int getErrorType()
    Returns the Error Type.
    Returns:
      the Error Type

  - ### getErrorData

    public Object getErrorData()
    Returns the error data.
    Returns:
      the error data

  - ### toString

    public String toString()
    Returns the String representation of this `CommandProcessingException`
    Overrides:
      `toString` in class `Throwable`